package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 试听课与班级关联表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("demo_group_class_group_mapper")
public class DemoGroupClassGroupMapper extends Model<DemoGroupClassGroupMapper> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("demo_group_id_")
    private Long demoGroupId;
    @TableField("class_group_id_")
    private Integer classGroupId;
    @TableField("create_time_")
    private Date createTime;


    public Long getId() {
        return id;
    }

    public DemoGroupClassGroupMapper setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getDemoGroupId() {
        return demoGroupId;
    }

    public DemoGroupClassGroupMapper setDemoGroupId(Long demoGroupId) {
        this.demoGroupId = demoGroupId;
        return this;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public DemoGroupClassGroupMapper setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DemoGroupClassGroupMapper setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "DemoGroupClassGroupMapper{" +
        ", id=" + id +
        ", demoGroupId=" + demoGroupId +
        ", classGroupId=" + classGroupId +
        ", createTime=" + createTime +
        "}";
    }
}
